libmsn: MSN Namespace Reference

# MSN Namespace Reference

## Classes
class | Buddy
class | Group
class | Connection
class | Callbacks
class | Message
class | ListSyncInfo
class | NotificationServerConnection
class | P2P
class | InvalidPassport
class | Passport
class | Soap
class | SwitchboardServerConnection
struct | personalInfo
struct | eachOIM
struct | fileTransferInvite
## Enumerations
enum | BuddyStatus { STATUS_AVAILABLE, STATUS_BUSY, STATUS_IDLE, STATUS_BERIGHTBACK, STATUS_AWAY, STATUS_ONTHEPHONE, STATUS_OUTTOLUNCH, STATUS_INVISIBLE }
enum | ErrorCodes
enum | ContactList { LST_AB = 1, LST_AL = 2, LST_BL = 4, LST_RL = 8, LST_PL = 16 }
enum | MSNClientInformationFields
enum | fileTransferType { FILE_TRANSFER_WITH_PREVIEW = 0x0, FILE_TRANSFER_WITHOUT_PREVIEW = 0x1, FILE_TRANSFER_BACKGROUND_SHARING = 0x4, FILE_TRANSFER_BACKGROUND_SHARING_CUSTOM = 0xC }
enum | fileTransferError { FILE_TRANSFER_ERROR_USER_CANCELED, FILE_TRANSFER_ERROR_UNKNOWN }
## Functions
std::pair< std::string, int > | splitServerAddress (const std::string &address, int default_port)
std::string | decodeURL (const std::string &s)
std::string | encodeURL (const std::string &s)
std::vector< std::string > | splitString (const std::string &s, const std::string &sep, bool suppressBlanks)
int | nocase_cmp (const std::string &s1, const std::string &s2)
unsigned int | decimalFromString (const std::string &s) throw (std::logic_error)

## Detailed Description

Contains all of the functionality provided by `libmsn`.

## Enumeration Type Documentation

enum MSN::BuddyStatus

The online state of a buddy.

Enumerator:

  STATUS_AVAILABLE | Contact is available
  STATUS_BUSY | Contact is busy
  STATUS_IDLE | Contact is idle
  STATUS_BERIGHTBACK | Contact will be right back
  STATUS_AWAY | Contact is away
  STATUS_ONTHEPHONE | Contact is on the phone
  STATUS_OUTTOLUNCH | Contact is out to lunch
  STATUS_INVISIBLE | Contact is invisible

enum MSN::ContactList

Represents the lists present on server side

Enumerator:

  LST_AB | Address book
  LST_AL | Allow
  LST_BL | Block
  LST_RL | Reverse
  LST_PL | Pending

enum MSN::ErrorCodes

Error codes that the MSN servers may return in response to commands.

enum MSN::fileTransferError

Type of the error when a file transfer fails

Enumerator:

  FILE_TRANSFER_ERROR_USER_CANCELED | The other user canceled
  FILE_TRANSFER_ERROR_UNKNOWN | Unknown error

enum MSN::fileTransferType

Defines the file transfer type

Enumerator:

  FILE_TRANSFER_WITH_PREVIEW | With preview
  FILE_TRANSFER_WITHOUT_PREVIEW | Without preview
  FILE_TRANSFER_BACKGROUND_SHARING | Transfer of a sharing background
  FILE_TRANSFER_BACKGROUND_SHARING_CUSTOM | Custom and not supported by libmsn yet

enum MSN::MSNClientInformationFields

List of possible capabilities for a contact

## Function Documentation

unsigned int MSN::decimalFromString | ( | const std::string & | s | ) | throw (std::logic_error)

Convert a string, s, that contains decimal digits into an unsigned int.

std::string MSN::decodeURL | ( | const std::string & | s | ) |

URL-decode a string

Parameters:

  | s | The URL-encoded string to decode.

Returns:
  A string with all URL-encoded sequences replaced by their `ASCII` equivalent.

std::string MSN::encodeURL | ( | const std::string & | s | ) |

URL-encode a string

Parameters:

  | s | The string to encode.

Returns:
  A string with all non-alphanumeric characters replaced by their URL-encoded equivalent.

int MSN::nocase_cmp | ( | const std::string & | s1,
|  | const std::string & | s2 |
| ) |  |  |

Compare two strings in a case insensitive fashion

std::pair< std::string, int > MSN::splitServerAddress | ( | const std::string & | address,
|  | int | default_port = `1863` |
| ) |  |  |

Split a string containing a hostname and port number into its respective parts.

Parameters:

  | address | A string in the form "hostname:port".
  | default_port | A port number to return in the event that ":port" is omitted from address.

Returns:
  A pair containing the hostname and port number.

std::vector< std::string > MSN::splitString | ( | const std::string & | string,
|  | const std::string & | separator,
|  | bool | suppressBlanks = `true` |
| ) |  |  |

Split string at each occurence of separator.